EnvironmentBlockEvaluator (Grails 6.0.0)

Package: grails.util

## [Groovy] Class EnvironmentBlockEvaluator

- grails.util.EnvironmentBlockEvaluator

-     @groovy.transform.CompileStatic
      class EnvironmentBlockEvaluator
      extends groovy.lang.GroovyObjectSupport

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private groovy.lang.Closure<?>` | `callable` |
    `private Environment` | `current` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EnvironmentBlockEvaluator (Environment e)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `development(groovy.lang.Closure<?> c)`
    `` | `void` | `environments(groovy.lang.Closure<?> c)`
    `` | `java.lang.Object` | `execute()`
    `` | `groovy.lang.Closure<?>` | `getCallable()`
    `` | `java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`
    `` | `void` | `production(groovy.lang.Closure<?> c)`
    `` | `void` | `test(groovy.lang.Closure<?> c)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll(), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object)`

- - ### Field Detail

    - #### private groovy.lang.Closure<?> callable

    - #### private Environment current

  - ### Constructor Detail

    - #### @groovy.transform.PackageScope EnvironmentBlockEvaluator(Environment e)

  - ### Method Detail

    - #### @java.lang.SuppressWarnings(value: unused) void development(groovy.lang.Closure<?> c)

    - #### @java.lang.SuppressWarnings(value: unused) void environments(groovy.lang.Closure<?> c)

    - #### java.lang.Object execute()

    - #### groovy.lang.Closure<?> getCallable()

    - #### java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

    - #### @java.lang.SuppressWarnings(value: unused) void production(groovy.lang.Closure<?> c)

    - #### @java.lang.SuppressWarnings(value: unused) void test(groovy.lang.Closure<?> c)